/* modified JMP 1/2/10
 * FCHold.java
 * Transport Layer Multicaster
 * Created on August 1, 2005
 * @author  mpullen & students
 * @version 5.1.1
 */

/*----------------------------------------------------------------*
|   Copyright 2005-20010 Networking and Simulation Laboratory      |
|         George Mason University, Fairfax, Virginia              |
|                                                                 |
| Permission to use, copy, modify, and distribute this            |
| software and its documentation for academic purposes is hereby  |
| granted without fee, provided that the above copyright notice   |
| and this permission appear in all copies and in supporting      |
| documentation, and that the name of George Mason University     |
| not be used in advertising or publicity pertaining to           |
| distribution of the software without specific, written prior    |
| permission. GMU makes no representations about the suitability  |
| of this software for any purposes.  It is provided "AS IS"      |
| without express or implied warranties.  All risk associated     |
| with use of this software is expressly assumed by the user.     |
 *----------------------------------------------------------------*/
//package tlm;
// thread to holdup floor change during slide send
public class FCHold extends TLM implements Runnable
{
  int newFloorHolder;
  String newFloorHolderName;
  int oldFloorHolder;
  int newGroup;

  public FCHold(int refNewFloorHolder, 
                String refNewFloorHolderName, 
				        int refOldFloorHolder,
                int refNewGroup)
  {
    // save the new floorholder and the current slide identification
    newFloorHolder = refNewFloorHolder;
    newFloorHolderName = refNewFloorHolderName;
	  oldFloorHolder = refOldFloorHolder;
    newGroup = refNewGroup;
  }

  public void run()
  {
    // wait for the timeout period unless notified by a tunnel thread
    synchronized(floorChangeHoldThread)
    {
      try{floorChangeHoldThread.wait(fcSlideSendTimeout);}
      catch(InterruptedException ie){}
    }

    // change floor whether slide has finished sending or not
    sendingSlide = false;
    fcConnect.setFloorHolder(newFloorHolder,
	                           newFloorHolderName,
							               oldFloorHolder,
                             newGroup);

    // drop out of this thread
    return;

  }// end run()

} // end class FCHold
