/* Transport Layer Multicast Floor Control Connect Message class
 * Created on October 30, 2001
 * @author  mpullen & students
 * @version 1.2
 */
/*----------------------------------------------------------------*
|      Copyright 2001 Networking and Simulation Laboratory        |
|         George Mason University, Fairfax, Virginia              |
|                                                                 |
| Permission to use, copy, modify, and distribute this            |
| software and its documentation for academic purposes is hereby  |
| granted without fee, provided that the above copyright notice   |
| and this permission appear in all copies and in supporting      |
| documentation, and that the name of George Mason University     |
| not be used in advertising or publicity pertaining to           |
| distribution of the software without specific, written prior    |
| permission. GMU makes no representations about the suitability  |
| of this software for any purposes.  It is provided "AS IS"      |
| without express or implied warranties.  All risk associated     |
| with use of this software is expressly assumed by the user.     |
 *----------------------------------------------------------------*/
/*Transport Layer Multicast Floor control( TLMFC)
   initial Version by Parupalli Manjeera FALL:2001(10/30/01)

  Implemented: Class to store the user specific information.

*************************************************************************************/
import java.io.*;

public class UserDetails implements Serializable
{
   private byte[] username;
   private byte[] password;
   //status is 1 => the user is online, 0 => offline
   private boolean status;
   //user_control is > 0 => the user has floor control privilege
   private char user_control;
   //draw_grid is 1 => the user needs grid to be drawn, else is 0
   private boolean draw_grid;

   public UserDetails()
   {
      username = new byte[8];
      password = new byte[8];
   }

   public void setUsername(byte[] pUsername)
   {
      int idx=0;
      while(idx<8)
      {
         username[idx] = pUsername[idx];
         idx++;
      }
   }

   public void setPassword(byte[] pPassword)
   {
      int idx=0;
      while(idx<8)
      {
         password[idx] = pPassword[idx];
         idx++;
      }
   }

   public void setStatus(boolean pStatus)
   {
         status = pStatus;
   }

   public void setControl(char pControl)
   {
         user_control = pControl;
   }

   public void setDrawgrid(boolean pDrawgrid)
   {
         draw_grid = pDrawgrid;
   }

   public String getUsername()
   {
      String name = new String(username);
      return(name);
   }

   public String getPassword()
   {
      String pwd = new String(password);
      return(pwd);
   }

   public boolean getStatus()
   {
      return(status);
   }

   public char getControl()
   {
      return(user_control);
   }

   public boolean getDrawgrid()
   {
      return(draw_grid);
   }

} // end class UserDetails

