#!/bin/sh
# GMU C4I Center
# MIST/C init script, starts MIST/C Process Controller

### BEGIN INIT INFO
# Provides:          mistc_controller
# Required-Start:    $local_fs $network $named $netdaemons mysql
# Required-Stop:     $local_fs $network $named $netdaemons 
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: MIST/C Process Controller
# Description:       Starts/stops individual MIST/C processes representing virtual rooms for synchronous sessions in Moodle
### END INIT INFO

DESC="MIST/C Process Controller"
NAME=mistc_controller

. /lib/lsb/init-functions


MISTC_HOME=/usr/local/MISTCserver
MISTC_CONF=/usr/local/MISTCserver/mistc.conf


start() {
	$MISTC_HOME/mistc_controller -C $MISTC_CONF
}

stop() {
	$MISTC_HOME/mistc_controller -C $MISTC_CONF -S all
}



case "$1" in
start)
        start;
        ;;
stop)
		stop;
        ;;
restart)
        stop;
        sleep 1;
        start;
        ;;
*)
        echo "Usage: $0 {start|stop|restart}"
        exit 1
        ;;
esac


exit 0;

